using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATSearchCriterion")]
[Index("SearchId", Name = "ATSearchCriterion_SearchId")]
public partial class AtsearchCriterion
{
    public int SearchId { get; set; }

    [StringLength(50)]
    public string FieldName { get; set; } = null!;

    [StringLength(50)]
    public string FieldValue { get; set; } = null!;

    public int FieldType { get; set; }

    public int DataType { get; set; }

    public int Compare { get; set; }

    public int NestLevel { get; set; }

    public int JoinType { get; set; }

    public int ItemIndex { get; set; }
}
